﻿@using eBanking.ViewModels
@model UplatnicaRacunViewModel
@{
    ViewBag.Title = "Index";
}
<link href="~/Content/styles.css" rel="stylesheet" />
<script src="~/Scripts/jquery-3.3.1.js"></script>


<h1>Lista računa</h1>

@Html.ActionLink("Dodaj novi racun", "Create")

<table border="1" class="table">
    <tr>
        <th>Broj računa</th>
        <th>Nosilac računa</th>
        <th>Ukupno</th>
        <th> Online</th>
        <th>Aktivan</th>
        <th style="text-align:center" colspan="4"></th>
    </tr>

    @foreach (var item in Model.Racuni)
    {
        string aktivan = "";
        string aktiviranje = "";
        string online = "";
        if (item.OnlineBanking == true) { online = "Da"; }
        else { online = "Ne"; }
        if (@item.Aktivan == true)
        {
            aktiviranje = "Deaktiviraj";
            aktivan = "Da";

            <tr style="background-color : forestgreen ">
                <td> @item.Broj</td>
                <td>@item.Nosilac</td>
                <td>@item.Ukupno</td>
                <td>@online</td>
                <td>@aktivan</td>
                <td><a href="~/Uplatnica/Index/@item.Id">Otvori</a></td>
                <td>@Html.ActionLink("Izmeni", "Edit", new { Id = item.Id })</td>
                <td>@Html.ActionLink("Obrisi", "Delete", new { Id = item.Id })</td>
                <td>@Html.ActionLink(aktiviranje, "Deaktiviraj", new { Id = item.Id })</td>
            </tr>
        }
        else
        {
            aktiviranje = "Aktiviraj";
            aktivan = "Ne";

            <tr style="background-color : red ">
                <td> @item.Broj</td>
                <td>@item.Nosilac</td>
                <td>@item.Ukupno</td>
                <td>@online</td>
                <td>@aktivan</td>
                <td><a href="~/Uplatnica/Index/@item.Id">Otvori</a></td>
                <td>@Html.ActionLink("Izmeni", "Edit", new { Id = item.Id })</td>
                <td>@Html.ActionLink("Obrisi", "Delete", new { Id = item.Id })</td>
                <td>@Html.ActionLink(aktiviranje, "Aktiviraj", new { Id = item.Id })</td>
            </tr>
        }
    }
</table>
<hr />

<h1>Dodaj novi račun: </h1>
<br />
@using (Html.BeginForm("Create", "Racun", FormMethod.Post))
{
    <table>
        <tr>
            <td>@Html.LabelFor(m => m.Racun.Nosilac)</td>
            <td>@Html.TextBoxFor(m => m.Racun.Nosilac, new { @class = "form-control", @placeholder = "nosilac racuna" })</td>
            <td>@Html.ValidationMessageFor(m => m.Racun.Nosilac)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Racun.Broj)</td>
            <td>@Html.TextBoxFor(m => m.Racun.Broj, new { @class = "form-control", @placeholder = "broj racuna" })</td>
            <td>@Html.ValidationMessageFor(m => m.Racun.Broj)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Racun.OnlineBanking)</td>
            <td>@Html.CheckBoxFor(m => m.Racun.OnlineBanking)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Racun.Aktivan)</td>
            <td>@Html.CheckBoxFor(m => m.Racun.Aktivan)</td>
        </tr>
        <tr>
            <td><input type="submit" value="Dodaj novi račun" class="btn btn-default" /></td>
            <td></td>
        </tr>
    </table>
}

